| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
cv::GCall Class Referencefinal

`#include <opencv2/gapi/gcall.hpp>`

Collaboration diagram for cv::GCall:

## Public Member Functions
| GCall (const GKernel &k)
| ~GCall ()
GKernel & | kernel ()
cv::util::any & | params ()
template<typename... Ts>
GCall & | pass (Ts &&... args)
Priv & | priv ()
const Priv & | priv () const
void | setArgs (std::vector< GArg > &&args)
GMat | yield (int output=0)
template<class T >
GArray< T > | yieldArray (int output=0)
GFrame | yieldFrame (int output=0)
template<class T >
GOpaque< T > | yieldOpaque (int output=0)
GMatP | yieldP (int output=0)
GScalar | yieldScalar (int output=0)

## Protected Member Functions
detail::GArrayU | yieldArray (int output=0)
detail::GOpaqueU | yieldOpaque (int output=0)

## Protected Attributes
std::shared_ptr< Priv > | m_priv

## Constructor & Destructor Documentation

## ◆ GCall()

cv::GCall::GCall | ( | const GKernel & | k | ) |
| explicit

## ◆ ~GCall()

cv::GCall::~GCall | ( |  | ) |

## Member Function Documentation

## ◆ kernel()

GKernel & cv::GCall::kernel | ( |  | ) |

## ◆ params()

cv::util::any & cv::GCall::params | ( |  | ) |

## ◆ pass()

template<typename... Ts>

GCall & cv::GCall::pass | ( | Ts &&... | args | ) |
| inline

## ◆ priv() [1/2]

Priv & cv::GCall::priv | ( |  | ) |

## ◆ priv() [2/2]

const Priv & cv::GCall::priv | ( |  | ) | const

## ◆ setArgs()

void cv::GCall::setArgs | ( | std::vector< GArg > && | args | ) |

## ◆ yield()

GMat cv::GCall::yield | ( | int | output = 0 | ) |

## ◆ yieldArray() [1/2]

template<class T >

GArray< T > cv::GCall::yieldArray | ( | int | output = 0 | ) |
| inline

## ◆ yieldArray() [2/2]

detail::GArrayU cv::GCall::yieldArray | ( | int | output = 0 | ) |
| protected

## ◆ yieldFrame()

GFrame cv::GCall::yieldFrame | ( | int | output = 0 | ) |

## ◆ yieldOpaque() [1/2]

template<class T >

GOpaque< T > cv::GCall::yieldOpaque | ( | int | output = 0 | ) |
| inline

## ◆ yieldOpaque() [2/2]

detail::GOpaqueU cv::GCall::yieldOpaque | ( | int | output = 0 | ) |
| protected

## ◆ yieldP()

GMatP cv::GCall::yieldP | ( | int | output = 0 | ) |

## ◆ yieldScalar()

GScalar cv::GCall::yieldScalar | ( | int | output = 0 | ) |

## Member Data Documentation

## ◆ m_priv

std::shared_ptr<Priv> cv::GCall::m_priv
| protected

The documentation for this class was generated from the following file:

- opencv2/gapi/gcall.hpp